<ion-header>
  <ion-toolbar>
    <ion-title>Add Spot</ion-title>
    <ion-buttons slot="primary">
      <ion-button (click)="closeModal()">
        <ion-icon slot="icon-only" name="close"></ion-icon>
      </ion-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content class="ion-padding">
 
    <form #form="ngForm" (ngSubmit)="addSpot(form)" enctype="multipart/form-data">

  <ion-list>

    <ion-item>
      <ion-label position="floating">Name</ion-label>
      <ion-input name="name" ngModel  required></ion-input>
    </ion-item>

    <ion-item>
      <ion-label position="floating">Description</ion-label>
      <ion-textarea name="description" ngModel  required></ion-textarea>
    </ion-item>

    <ion-item>
        <ion-label>Type</ion-label>
        <ion-select name="type" value="Restaurant" okText="Okay" cancelText="Dismiss" ngModel required>
          <ion-select-option value="Restaurant">Restaurant</ion-select-option>
          <ion-select-option value="Drinking">Drinking</ion-select-option>
          <ion-select-option value="Sushi">Sushi</ion-select-option>
          <ion-select-option value="Pizza">Pizza</ion-select-option>
        </ion-select>
    </ion-item>

    <ion-list-header>
        Add Hours
      <ion-button (click)="openAddHourModal()">
        <ion-icon slot="icon-only" name="add-circle"></ion-icon>
      </ion-button>
    </ion-list-header>

    <ion-item-sliding *ngFor="let hour of hours">
      <ion-item>
        <ion-label>
            <h2>{{hour.type}}</h2>
            <h3>{{hour.day | date: "dd/MM/yyyy"}}</h3>
            <p>Time Start : {{hour.start_time | date: "hh:mm a"}}</p>
            <p>Time End : {{hour.end_time | date: "hh:mm a"}}</p>
          </ion-label>
      </ion-item>
      <ion-item-options side="end"(click)="deleteHour(hour)" >
        <ion-item-option color="danger" expandable>
          Delete
        </ion-item-option>
      </ion-item-options>
    </ion-item-sliding>

    <ion-list-header>
        Add Menu
      <ion-button (click)="openAddMenuModal()">
        <ion-icon slot="icon-only" name="add-circle"></ion-icon>
      </ion-button>
    </ion-list-header>

    <ion-item-sliding *ngFor="let menu of menus; let i = index">
      <ion-item>
        <ion-label>
          <h2>{{menu.name}}</h2>
          <h3>{{menu.description}}</h3>
          <p>Price Start : {{menu.price.start}}</p>
          <p>Price End : {{menu.price.end}}</p>
        </ion-label>
      </ion-item>
      <ion-item-options side="end"(click)="deleteMenu(i)" >
        <ion-item-option color="danger" menu>
          Delete
        </ion-item-option>
      </ion-item-options>
    </ion-item-sliding>


    <ion-list-header>
      Picture
      <ion-button (click)="changeImage()">
        Change
      </ion-button>
    </ion-list-header>
  
    <span *ngIf="picture != null">
      <img src="{{ picture }}" /> 
    </span>

  <p>{{ base64Image }}</p>
  
  </ion-list>

  <div class="ion-padding">
      <ion-button type="submit" [disabled]="form.invalid" expand="block">Submit</ion-button>
  </div>

</form>

</ion-content>



